"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAllEmulators = getAllEmulators;
exports.launchEmulator = launchEmulator;
var _child_process = require("child_process");
var _util = _interopRequireDefault(require("util"));
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const execAsync = _util.default.promisify(_child_process.exec);
async function getAllEmulators() {
  const {
    stdout
  } = await execAsync('emulator -list-avds');
  return stdout.split('\n');
}
async function launchEmulator(emulatorID) {
  const androidHome = process.env.ANDROID_HOME || process.env.ANDROID_SDK_ROOT;
  if (!androidHome) {
    console.log('ANDROID_HOME/ANDROID_SDK_ROOT environment variable is not set');
    return;
  }
  const emulatorCmd = _path.default.join(androidHome, 'emulator', 'emulator');
  (0, _child_process.spawn)(`${emulatorCmd}`, ['-avd', `${emulatorID}`]);
}